Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE Enum Reference

Video degradation preferences when the bandwidth is a constraint. More...

## Public Member Functions
int | getValue ()

## Public Attributes
| MAINTAIN_AUTO =(-1)
| MAINTAIN_QUALITY =(0)
| MAINTAIN_FRAMERATE =(1)
| MAINTAIN_BALANCED =(2)
| MAINTAIN_RESOLUTION =(3)
| DISABLED =(100)

## Detailed Description

Video degradation preferences when the bandwidth is a constraint.

## Member Data Documentation

## ◆ MAINTAIN_AUTO

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.MAINTAIN_AUTO =(-1)

-1: (Default) Automatic mode. The SDK will automatically select MAINTAIN_FRAMERATE, MAINTAIN_BALANCED or MAINTAIN_RESOLUTION based on the video scenario you set, in order to achieve the best overall quality of experience (QoE).

## ◆ MAINTAIN_QUALITY

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.MAINTAIN_QUALITY =(0)

0: Prefers to reduce the video frame rate while maintaining video resolution during video encoding under limited bandwidth. This degradation preference is suitable for scenarios where video quality is prioritized.

## ◆ MAINTAIN_FRAMERATE

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.MAINTAIN_FRAMERATE =(1)

1: Degrade resolution in order to maintain framerate.

## ◆ MAINTAIN_BALANCED

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.MAINTAIN_BALANCED =(2)

2: Reduces the video frame rate and video resolution simultaneously during video encoding under limited bandwidth. The MAINTAIN_BALANCED has a lower reduction than MAINTAIN_QUALITY and MAINTAIN_FRAMERATE, and this preference is suitable for scenarios where both smoothness and video quality are a priority.

Note
  The resolution of the video sent may change, so remote users need to handle this issue. See `onVideoSizeChanged`.

## ◆ MAINTAIN_RESOLUTION

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.MAINTAIN_RESOLUTION =(3)

3: Reduces the video frame rate while maintaining the video resolution during video encoding under limited bandwidth. This degradation preference is suitable for scenarios where video quality is prioritized.

## ◆ DISABLED

io.agora.rtc2.video.VideoEncoderConfiguration.DEGRADATION_PREFERENCE.DISABLED =(100)

4: Disabled VQC adjustion.